---
title: "Get Control Accounts"
slug: "get-control-accounts"
updated: 2026-02-25T13:56:58Z
published: 2026-02-25T13:57:17Z
canonical: "docs.wasabi.com/get-control-accounts"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Control Accounts

Get/v1/control-accounts

Read all Control Accounts within the permissions of the user.

SecurityHTTPType basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the [Authentication Guide](https://docs.wasabi.com/apidocs/wacm-connect-api-authentication).

Query parameterspageinteger

Page number

sizeinteger

Number of items per page

namestring

Filter by Control Account name

governanceAccountIdinteger

Filter by Governance Account ID

statusstring

Filter by account status

Valid values[
  "Active",
  "Deactivated"
]
primaryApiKeystring

Filter by primary API key

includeApiKeyboolean

Include API key in response

idinteger

Filter by Control Account ID

controlAccountEmailstring (email) 

Filter by Control Account email

includeDeletedSubAccountsboolean

Include deleted sub-accounts in counts

Responses200

Successfully retrieved Control Accounts

<select class='api-response-data' aria-label='Media type'><option value='a4e251ce-714b-4e72-b4d9-2b934e4d5830'>application/json</option>
</select>

```json
{
  "success": "True",
  "data": {
    "items": [
      {
        "id": "13337",
        "name": "Sample Control Account",
        "partnerType": "RESELLER",
        "accountType": "Company",
        "status": "Active",
        "imageUrl": "",
        "creationDate": "2023-01-15T10:30:00Z",
        "address1": "123 Main St",
        "address2": "",
        "country": "United States",
        "city": "Boston",
        "state": "Massachusetts",
        "zip": "02101",
        "mainPhone": "555-0100",
        "billingPhone": "",
        "contactEmail": "contact@example.com",
        "billingEmail": "billing@example.com",
        "businessNumber": "",
        "taxId": "",
        "fiscalNumber": "",
        "vatNumber": "",
        "website": "https://example.com",
        "ssoEnabled": "False",
        "storageQuotaType": "Hard Quota",
        "governanceAccountId": "3214",
        "governanceAccountName": "Sample Governance",
        "channelAccountsCount": "5",
        "subAccountsCount": "25",
        "controlAccountEmail": "control@example.com",
        "subAccountStorage": "1.62126952",
        "controlAccountStorage": "0.00690326",
        "totalStorage": "1.62817278",
        "defaultPurchasedStorageTB": "10.0"
      }
    ],
    "page": "1",
    "size": "20",
    "total": "1"
  }
}
```

Expand Allobject  successboolean    
dataobject  items Array of object (ControlAccountResponse)   object  idinteger    
namestring    
partnerTypestring    
accountTypestring    
statusstring    
imageUrlstring   | null  
creationDatestring  (date-time)    
address1string   | null  
address2string   | null  
countrystring   | null  
citystring   | null  
statestring   | null  
zipstring   | null  
mainPhonestring   | null  
billingPhonestring   | null  
contactEmailstring    
billingEmailstring    
businessNumberstring   | null  
taxIdstring    
fiscalNumberstring   | null  
vatNumberstring   | null  
websitestring   | null  
ssoEnabledboolean    
storageQuotaTypestring    
governanceAccountIdinteger    
governanceAccountNamestring    
channelAccountsCountinteger    
subAccountsCountinteger    
controlAccountEmailstring    
primaryApiKeystring    
secondaryApiKeystring    
subAccountStoragenumber    
controlAccountStoragenumber    
totalStoragenumber    
defaultPurchasedStorageTBnumber    

pageinteger    
sizeinteger    
totalinteger
